View source Improve this doc

# `ngBindTemplate`
directive in module `ng`

## Description

The `ngBindTemplate` directive specifies that the element text content should be replaced with the interpolation of the template in the `ngBindTemplate` attribute. Unlike `ngBind`, the `ngBindTemplate` can contain multiple `{{` `}}` expressions. This directive is needed since some HTML elements (such as TITLE and OPTION) cannot contain SPAN elements.

## Usage

as attribute

    <ANY ng-bind-template="{string}">
       ...
    </ANY>

as class

    <ANY class="ng-bind-template: {string};">
       ...
    </ANY>

#### Parameters

Param | Type | Details
--- | --- | ---
ngBindTemplate | string | template of form `{{` `expression` `}}` to eval.

## Example

Try it here: enter text in text box and watch the greeting change.

#### Source

## Demo